summarylogtreecommitdiffstats
path: root/uivonim.sh
diff options
context:
space:
mode:
Diffstat (limited to 'uivonim.sh')
-rw-r--r--uivonim.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/uivonim.sh b/uivonim.sh
index 5079d88f72c3..7ddcaab8d734 100644
--- a/uivonim.sh
+++ b/uivonim.sh
@@ -1,2 +1,16 @@
#!/bin/bash
-exec /opt/uivonim/uivonim "$@"
+set -e
+_APPDIR="/usr/lib/@appname@"
+_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export ELECTRON_FORCE_IS_PACKAGED=true
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
+else
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
+fi \ No newline at end of file